Subject: Re: [netmod] WG Last Call: draft-ietf-netmod-entity-05

From: "Bogaert, Bart (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 5 Dec 2017 14:35:29 +0000

Hello,

The latest draft does not contain an appendix with the deprecated state tree
(to support the non-NMDA model as specified in RFC6087bis section 4.23.3),
so if it is published in this way, there is an issue at the level of BBF
TR-383.

Note that the draft-ietfnetmod-rfc7223bis does include the deprecated
container interfaces-state.

Best regards,
Bart Bogaert

-----Original Message-----
From: netmod [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Wednesday, November 29, 2017 6:36 PM
To: NetMod WG <[email-masked]>
Cc: NetMod WG Chairs <[email-masked]>
Subject: [netmod] WG Last Call: draft-ietf-netmod-entity-05

All,

This starts a two-week working group last call on
draft-ietf-netmod-entity-05.

The working group last call ends on December 13.
Please send your comments to the netmod mailing list.

Positive comments, e.g., "I've reviewed this document and believe it is
ready for publication", are welcome!
This is useful and important, even from authors.

Thank you,
Netmod Chairs

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod

---

From: Martin Bjorklund <[email-masked]>
Date: Tue, 05 Dec 2017 15:44:05 +0100 (CET)

Hi,

> The latest draft does not contain an appendix with the deprecated state tree

Nothing has been deprecated since this will be the first published
version of this module.

> (to support the non-NMDA model as specified in RFC6087bis section 4.23.3),

This would be a "New module".

> so if it is published in this way, there is an issue at the level of BBF

Can you elaborate on this?

6087bis says that we MAY include a temporay non-NMDA version (i.e., a
module with just /hardware-state), but it would be a different module
name (ietf-hardware-state) and a different XML namespace.

> container interfaces-state.

Yes, since ietf-interface has already been published.

/martin

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 5 Dec 2017 15:45:09 +0100

Bart,

I think the reason for the difference is that the interfaces model was
published as an RFC before while the hardware model is new and hence
it seems to look a bit odd to define new deprecated objects.

If these deprecated objects are essential for BBF (please confirm),
then it might be better to define them in a separate module that then
can silently die while systems move to NMDA (and so we do not have the
deprecated objects with us in the hardware module forever - or at
least as long as we use YANG 1.1).

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Kent Watsen <[email-masked]>
Date: Thu, 7 Dec 2017 20:02:57 +0000

All,

Picking up on Juergen's comment:

> then it might be better to define them in a separate module...

I agree that the objects should be defined in a separate module.  The
request, as I understand it, is for there be an "ietf-hardware-state"
module defined in the Appendix of this draft.  I believe that doing
so is consistent with the NMDA guidelines:

   (b) Models that require immediate support for "in use" and "system
   created" information SHOULD be structured for NMDA.  A non-NMDA
   version of these models SHOULD exist, either an existing model or a
   model created either by hand or with suitable tools that mirror the
   current modeling strategies.  Both the NMDA and the non-NMDA modules
   SHOULD be published in the same document, with NMDA modules in the
   document main body and the non-NMDA modules in a non-normative
   appendix.  The use of the non-NMDA model will allow temporary
   bridging of the time period until NMDA implementations are available.

Of course, we should ask, for how long is it that the IETF (SDOs in 
general) should publish these -state modules?   During the discussion
at the beginning of the first session in Singapore, I said something
along the lines of "so long as there is market demand for it", which
seems a bit too open-ended for my taste.   I recommend that we set a 
date, perhaps a couple years out, after which we (the IETF) will no 
longer publish or maintain such foo-state modules.

Thoughts?

Kent  // as co-chair

===== original message ======

Bart,

/js

On Tue, Dec 05, 2017 at 02:35:29PM +0000, Bogaert, Bart (Nokia - BE/Antwerp) wrote:
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=chLVKwaAcdC6Llko8SagGTdtaLVTMJRVuFxx-MbXvQU&s=1sxGcVU9OMbpjTMNke_r8CkLGnSnNhrwXl1aqAiqdIs&e=

> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=chLVKwaAcdC6Llko8SagGTdtaLVTMJRVuFxx-MbXvQU&s=1sxGcVU9OMbpjTMNke_r8CkLGnSnNhrwXl1aqAiqdIs&e=

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.jacobs-2Duniversity.de_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=chLVKwaAcdC6Llko8SagGTdtaLVTMJRVuFxx-MbXvQU&s=4CB7bD5utyX6c4yAEyHZbp1h7nHrxFAQdrS2c-qll6M&e=>

_______________________________________________
netmod mailing list
[email-masked]
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=chLVKwaAcdC6Llko8SagGTdtaLVTMJRVuFxx-MbXvQU&s=1sxGcVU9OMbpjTMNke_r8CkLGnSnNhrwXl1aqAiqdIs&e=

---

From: "Carey, Timothy (Nokia - US)" <[email-masked]>
Date: Fri, 8 Dec 2017 09:57:16 +0000

Kent,

Yes it would be good set a target date so it communicates to the industry the intent, allowing them to plan their migration.
It also allows the industry to provide feedback regarding the migration period.

I wanted to reiterate Barts request for the hardware module to have state module in an Appendix. What you don't want is have the industry organizations that use the modules to create their own state modules - this will cause undue fragmentation that will harm the advancement of YANG.

BR,
Tim

-----Original Message-----
From: Kent Watsen [mailto:[email-masked]] 
Sent: Thursday, December 07, 2017 2:03 PM
To: Juergen Schoenwaelder <[email-masked]>; Bogaert, Bart (Nokia - BE/Antwerp) <[email-masked]>
Cc: NetMod WG <[email-masked]>
Subject: Re: [netmod] WG Last Call: draft-ietf-netmod-entity-05

All,

> then it might be better to define them in a separate module...

I agree that the objects should be defined in a separate module.  The request, as I understand it, is for there be an "ietf-hardware-state"
module defined in the Appendix of this draft.  I believe that doing so is consistent with the NMDA guidelines:

Of course, we should ask, for how long is it that the IETF (SDOs in
general) should publish these -state modules?   During the discussion
at the beginning of the first session in Singapore, I said something along the lines of "so long as there is market demand for it", which
seems a bit too open-ended for my taste.   I recommend that we set a
date, perhaps a couple years out, after which we (the IETF) will no longer publish or maintain such foo-state modules.

Thoughts?

Kent  // as co-chair

Bart,

I think the reason for the difference is that the interfaces model was published as an RFC before while the hardware model is new and hence it seems to look a bit odd to define new deprecated objects.

If these deprecated objects are essential for BBF (please confirm), then it might be better to define them in a separate module that then can silently die while systems move to NMDA (and so we do not have the deprecated objects with us in the hardware module forever - or at least as long as we use YANG 1.1).

/js

On Tue, Dec 05, 2017 at 02:35:29PM +0000, Bogaert, Bart (Nokia - BE/Antwerp)
wrote:
> Hello,
>
> The latest draft does not contain an appendix with the deprecated 
> state tree (to support the non-NMDA model as specified in RFC6087bis 
> section 4.23.3), so if it is published in this way, there is an issue 
> at the level of BBF TR-383.
>
> Positive comments, e.g., "I've reviewed this document and believe it 
> is ready for publication", are welcome!
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail
> man_listinfo_netmod&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcW
> zoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=chLVKwaAcdC6Llko8
> SagGTdtaLVTMJRVuFxx-MbXvQU&s=1sxGcVU9OMbpjTMNke_r8CkLGnSnNhrwXl1aqAiqd
> Is&e=

> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail
> man_listinfo_netmod&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcW
> zoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=chLVKwaAcdC6Llko8
> SagGTdtaLVTMJRVuFxx-MbXvQU&s=1sxGcVU9OMbpjTMNke_r8CkLGnSnNhrwXl1aqAiqd
> Is&e=

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103 
<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.jacobs-2Duniversity.de_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=chLVKwaAcdC6Llko8SagGTdtaLVTMJRVuFxx-MbXvQU&s=4CB7bD5utyX6c4yAEyHZbp1h7nHrxFAQdrS2c-qll6M&e=>

---

From: Lou Berger <[email-masked]>
Date: Fri, 15 Dec 2017 15:34:49 -0500

All,

    This last call is closed. 

Authors,

Please resolve all LC comments and publish an updated version of the
draft.  Once published, please also summarize how all LC comments have
been addressed.

Also, When doing your update please ensure the upload fully passes
idnits, and also use the new boiler plate from rfc8174:

      The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL
      NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED",
      "MAY", and "OPTIONAL" in this document are to be interpreted as
      described in BCP 14 [RFC2119] [RFC8174] when, and only when, they
      appear in all capitals, as shown here.

Thank you

Lou (and co-chairs)

On 11/29/2017 12:35 PM, Lou Berger wrote:
> Positive comments, e.g., "I've reviewed this document
> and believe it is ready for publication", are welcome!